Installing TA-LIB on windows


#1

After installing catalyst and running a couple of the examples you will notice you are missing the talib package.
For Unix users, the installation is pretty trivial, as to Windows users, you need to build the package yourself.
Luckily, someone has done the job for us, and all you need to do is to follow the next steps- taken from Catalyst GitHub:

  1. from the following link: talib for windows
    download the package referring to the python version and your system type (32/64 bit).
  2. open the command prompt.
  3. activate the catalyst environment: activate catalyst
  4. navigate to the folder the file/package is located in.
  5. install the package: pip install %name_of_file%.

Good Luck,
Avishai


#2

I am running catalyst with Windows 10 64bit on Intel machine. I get this error when trying to install the file I downloaded. Please advise. Thanks

TA_Lib-0.4.16-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform.

Update:

I got it to work on “TA_Lib-0.4.16-cp27-cp27m-win_amd64”. Thanks


#3

@Salagubang which python are you using? you can find out by using the python --version command. The number following cp indicates the python version which the package is suitable for. As an example, you downloaded the package for python 3.7 (cp37).